@extends('layouts.app')

@section('content')

<div class="container-fluid">
    <div class="row">
        <div class="col-12 px-0">
            <div class="jumbotron jumbotron-fluid mt-0 bg-primary text-light text-center">
                <div class="container">
                    <h1 class="display-4">XMR Memes</h1>
                    <p class="lead">Get tipped Monero (XMR) for making memes about Monero.</p>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12 mb-4">
            <div class="btn-group w-100" role="group" aria-label="Basic example">
                <a role="button" href="{{ url('') }}" class="btn btn-primary text-light {{ Request::routeIs('homepage') ? 'active' : '' }}">Latest</a>
                <a role="button" href="{{ url('recently-tipped') }}" class="btn btn-primary text-light {{ Request::routeIs('recently-tipped') ? 'active' : '' }}">Recently Tipped</a>
                <a role="button" href="{{ url('most-tipped') }}" class="btn btn-primary text-light {{ Request::routeIs('most-tipped') ? 'active' : '' }}">Most Tipped</a>
            </div>
        </div>
        <div class="col-md-12">
            <div class="row row-cols-1 row-cols-md-2 row-cols-lg-4 grid-memes">
                @foreach ($data['memes'] as $meme)
                <div class="col mb-4">
                    <div class="card">
                        <a href="{{ url('/meme/' . $meme->id) }}">
                            <img src="{{ url($meme->image) }}" class="card-img-top mx-auto d-block" alt="{{ $meme->title }} Meme">
                        </a>
                        <div class="card-body">
                            <a href="{{ url('/meme/' . $meme->id) }}">
                                <h5 class="card-title">{{ $meme->title }}</h5>
                            </a>
                            <p class="card-text">By: <a href="{{ url('/user/' . $meme->user->id) }}">{{ $meme->user->name }}</a></p>
                            <p class="card-text">{{ $meme->meme_tips_total }} XMR Recieved</p>
                            <p class="card-text">{{ $meme->created_at->diffForHumans() }}</p>
                        </div>
                    </div>
                </div>
                @endforeach
            </div>
            <div class="d-flex justify-content-center w-100">
                {{ $data['memes']->links() }}
            </div>
        </div>
    </div>
</div>
@endsection
